.Progress {
    width: 100%;
    background: #D4EEE2;
}

.Progress div {
    background:#47B881;
    position: relative;
}

.Progress div > label {
    position: absolute;
    right:0;
    background: #47B881;
    border-radius: 3px;
    padding: 4px 8px;
    color: white;
    white-space: nowrap;
    pointer-events: none;
    opacity: 1;
    transform: scale(0.8);
    font-size:12px;
    transform-origin: right;
    transition: all ease-in-out 100ms;
}

.Progress:hover div > label {
    opacity: 1;
}